require "scripts/lua/functions"

----------------------------------------------------------------------------------------------------------
-- Script parameters
----------------------------------------------------------------------------------------------------------
--      Setting the time variables:
--      %a  abbreviated weekday name (e.g., Wed)
--      %A  full weekday name (e.g., Wednesday)
--      %b  abbreviated month name (e.g., Sep)
--      %B  full month name (e.g., September)
--      %c  date and time (e.g., 09/16/98 23:48:10)
--      %d  day of the month (16) [01-31]
--      %H  hour, using a 24-hour clock (23) [00-23]
--      %I  hour, using a 12-hour clock (11) [01-12]
--      %M  minute (48) [00-59]
--      %m  month (09) [01-12]
--      %p  either "am" or "pm" (pm)
--      %S  second (10) [00-61]
--      %w  weekday (3) [0-6 = Sunday-Saturday]
--      %x  date (e.g., 09/16/98)
--      %X  time (e.g., 23:48:10)
--      %Y  full year (1998)
--      %y  two-digit year (98) [00-99]
--      %%  the character `%´

year    = tonumber(os.date("%Y"));
month   = tonumber(os.date("%m"));
day     = tonumber(os.date("%d"));
hour    = tonumber(os.date("%H"));
min     = tonumber(os.date("%M"));
weekday = tonumber(os.date("%w"));


 -- ------------------------------------------------------------------------------
-- Function test montage
-- ------------------------------------------------------------------------------
function mountTest(disk)

  local ret = os.execute("mount | grep " .. disk)
 debug('######### Lancement du check Disk ' ..disk)
  return ret
end

commandArray = {}

-- ----------------------
-- Check disk
-- ----------------------
if (min % 10 == 0) then
    if (isempty(mountTest("WDBlue"))) then
        commandArray['Variable:WDBlue'] = 'Off'
    else
        commandArray['Variable:WDBlue'] = 'On'
    end
    if (isempty(mountTest("WDGreen"))) then
        commandArray['Variable:WDGreen'] = 'Off'
    else
        commandArray['Variable:WDGreen'] = 'On'
    end
    if (isempty(mountTest("WDPink"))) then
        commandArray['Variable:WDPink'] = 'Off'
    else
        commandArray['Variable:WDPink'] = 'On'
    end
    if (isempty(mountTest("WDRed"))) then
        commandArray['Variable:WDRed'] = 'Off'
    else
        commandArray['Variable:WDRed'] = 'On'
    end
end
return commandArray
